#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kdetvsettingswidget.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kdetvsettingswidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KdetvSettingsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KdetvSettingsWidget::KdetvSettingsWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KdetvSettingsWidget" );
    KdetvSettingsWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "KdetvSettingsWidgetLayout"); 

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setFrameShadow( QGroupBox::Sunken );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( 6 );
    GroupBox1->layout()->setMargin( 11 );
    GroupBox1Layout = new QGridLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );

    _stayOnTop = new QCheckBox( GroupBox1, "_stayOnTop" );
    _stayOnTop->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)0, 0, 0, _stayOnTop->sizePolicy().hasHeightForWidth() ) );

    GroupBox1Layout->addWidget( _stayOnTop, 0, 0 );

    _disableScreenSaver = new QCheckBox( GroupBox1, "_disableScreenSaver" );

    GroupBox1Layout->addWidget( _disableScreenSaver, 4, 0 );
    spacer17 = new QSpacerItem( 16, 16, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox1Layout->addItem( spacer17, 4, 2 );

    _saverCombo = new QComboBox( FALSE, GroupBox1, "_saverCombo" );
    _saverCombo->setEnabled( FALSE );

    GroupBox1Layout->addWidget( _saverCombo, 4, 1 );

    _sticky = new QCheckBox( GroupBox1, "_sticky" );

    GroupBox1Layout->addMultiCellWidget( _sticky, 1, 1, 0, 1 );

    _noStickyFull = new QCheckBox( GroupBox1, "_noStickyFull" );

    GroupBox1Layout->addMultiCellWidget( _noStickyFull, 2, 2, 0, 1 );

    KdetvSettingsWidgetLayout->addWidget( GroupBox1, 0, 0 );
    spacer2 = new QSpacerItem( 20, 5, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KdetvSettingsWidgetLayout->addItem( spacer2, 3, 0 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    _enableNormal = new QCheckBox( groupBox2, "_enableNormal" );

    groupBox2Layout->addWidget( _enableNormal, 1, 0 );

    _enableFull = new QCheckBox( groupBox2, "_enableFull" );

    groupBox2Layout->addWidget( _enableFull, 2, 0 );

    _enableTV = new QCheckBox( groupBox2, "_enableTV" );

    groupBox2Layout->addWidget( _enableTV, 3, 0 );

    KdetvSettingsWidgetLayout->addWidget( groupBox2, 2, 0 );

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    _hideNormal = new QCheckBox( groupBox3, "_hideNormal" );

    groupBox3Layout->addWidget( _hideNormal, 0, 0 );

    _hideFull = new QCheckBox( groupBox3, "_hideFull" );

    groupBox3Layout->addWidget( _hideFull, 1, 0 );

    _hideTV = new QCheckBox( groupBox3, "_hideTV" );

    groupBox3Layout->addWidget( _hideTV, 2, 0 );

    KdetvSettingsWidgetLayout->addWidget( groupBox3, 1, 0 );
    languageChange();
    resize( QSize(525, 460).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( _disableScreenSaver, SIGNAL( toggled(bool) ), _saverCombo, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KdetvSettingsWidget::~KdetvSettingsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KdetvSettingsWidget::languageChange()
{
    setCaption( tr2i18n( "GUI Options" ) );
    GroupBox1->setTitle( tr2i18n( "General" ) );
    _stayOnTop->setText( tr2i18n( "Always on top" ) );
    QToolTip::add( _stayOnTop, tr2i18n( "If checked, application never gets hidden behind other windows" ) );
    _disableScreenSaver->setText( tr2i18n( "Disable screensaver when:" ) );
    QToolTip::add( _disableScreenSaver, tr2i18n( "Check to disable the KDE screensaver according to the chosen mode" ) );
    _saverCombo->clear();
    _saverCombo->insertItem( tr2i18n( "Application is Running (always)" ) );
    _saverCombo->insertItem( tr2i18n( "TV Window is Visible" ) );
    _saverCombo->insertItem( tr2i18n( "TV Window is in Fullscreen Mode" ) );
    QToolTip::add( _saverCombo, tr2i18n( "Select when you want the screensaver to be disabled" ) );
    QWhatsThis::add( _saverCombo, tr2i18n( "This lets you select the screensaver deactivation behavior" ) );
    _sticky->setText( tr2i18n( "Show window on all virtual screens" ) );
    _noStickyFull->setText( tr2i18n( "Do not show window on all virtual screens when displaying fullscreen" ) );
    groupBox2->setTitle( tr2i18n( "When Cycling Through View Modes, Use Following Modes" ) );
    QToolTip::add( groupBox2, tr2i18n( "Hint: Doubleclicking the TV window cycles through viewmodes" ) );
    _enableNormal->setText( tr2i18n( "Normal view mode" ) );
    _enableFull->setText( tr2i18n( "Fullscreen view mode" ) );
    _enableTV->setText( tr2i18n( "TV view mode" ) );
    groupBox3->setTitle( tr2i18n( "Hide Taskbar Icon and Show Tray Icon Instead In" ) );
    QToolTip::add( groupBox3, tr2i18n( "Hint: Clicking the tray icon will raise kdetv window" ) );
    _hideNormal->setText( tr2i18n( "Normal view mode" ) );
    _hideFull->setText( tr2i18n( "Fullscreen view mode" ) );
    _hideTV->setText( tr2i18n( "TV view mode" ) );
}

#include "kdetvsettingswidget.moc"
