#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './v4l2configwidget.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "v4l2configwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a V4L2ConfigWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
V4L2ConfigWidget::V4L2ConfigWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "V4L2ConfigWidget" );
    V4L2ConfigWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "V4L2ConfigWidgetLayout"); 

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    _autoConfig = new QCheckBox( groupBox3, "_autoConfig" );

    groupBox3Layout->addWidget( _autoConfig, 0, 0 );

    V4L2ConfigWidgetLayout->addWidget( groupBox3, 0, 0 );

    buttonGroup2 = new QButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setEnabled( TRUE );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QGridLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    _frameRateFull = new QRadioButton( buttonGroup2, "_frameRateFull" );

    buttonGroup2Layout->addWidget( _frameRateFull, 0, 0 );

    _frameRateHalf = new QRadioButton( buttonGroup2, "_frameRateHalf" );

    buttonGroup2Layout->addWidget( _frameRateHalf, 1, 0 );

    V4L2ConfigWidgetLayout->addWidget( buttonGroup2, 1, 0 );

    GDMethods = new QButtonGroup( this, "GDMethods" );
    GDMethods->setColumnLayout(0, Qt::Vertical );
    GDMethods->layout()->setSpacing( 6 );
    GDMethods->layout()->setMargin( 11 );
    GDMethodsLayout = new QGridLayout( GDMethods->layout() );
    GDMethodsLayout->setAlignment( Qt::AlignTop );

    _xvshm = new QRadioButton( GDMethods, "_xvshm" );

    GDMethodsLayout->addWidget( _xvshm, 0, 0 );

    _xvideo = new QRadioButton( GDMethods, "_xvideo" );

    GDMethodsLayout->addWidget( _xvideo, 1, 0 );

    V4L2ConfigWidgetLayout->addWidget( GDMethods, 2, 0 );
    languageChange();
    resize( QSize(337, 282).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( _autoConfig, SIGNAL( toggled(bool) ), GDMethods, SLOT( setDisabled(bool) ) );
    connect( _autoConfig, SIGNAL( toggled(bool) ), buttonGroup2, SLOT( setDisabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
V4L2ConfigWidget::~V4L2ConfigWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void V4L2ConfigWidget::languageChange()
{
    setCaption( tr2i18n( "V4L2 Plugin Settings" ) );
    groupBox3->setTitle( tr2i18n( "Autoconfiguration" ) );
    _autoConfig->setText( tr2i18n( "Autoconfigure video display method" ) );
    QToolTip::add( _autoConfig, tr2i18n( "Autoselect video display method" ) );
    buttonGroup2->setTitle( tr2i18n( "Frame rate" ) );
    _frameRateFull->setText( tr2i18n( "Full frame rate (50fps PAL, 60fps NTSC)" ) );
    QToolTip::add( _frameRateFull, tr2i18n( "Higher CPU usage, only makes sense in conjunction with deinterlace filters" ) );
    QWhatsThis::add( _frameRateFull, QString::null );
    _frameRateHalf->setText( tr2i18n( "Half frame rate (25fps PAL, 30fps NTSC)" ) );
    QToolTip::add( _frameRateHalf, tr2i18n( "Lower CPU usage, less image quality when deinterlacing" ) );
    QWhatsThis::add( _frameRateHalf, QString::null );
    GDMethods->setTitle( tr2i18n( "Grab && Display Method" ) );
    _xvshm->setText( tr2i18n( "XVideo with shared memory" ) );
    QToolTip::add( _xvshm, tr2i18n( "Preferred, deinterlacing is possible" ) );
    _xvideo->setText( tr2i18n( "XVideo" ) );
    QToolTip::add( _xvideo, tr2i18n( "Deinterlacing is possible" ) );
}

#include "v4l2configwidget.moc"
